Your message dated Fri, 1 Dec 2017 00:39:17 +0100
with message-id <54c5b5b9-c1fd-1517-ae0a-6fe3fcf4b...@xs4all.nl>
and subject line Re: [Pkg-javascript-devel] Bug#880072: Bug#880072: node-mapnik 
doesn't appear to be linking correctly, making it unusable
has caused the Debian Bug report #880072,
regarding node-mapnik doesn't appear to be linking correctly, making it unusable
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
880072: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=880072
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: node-mapnik
Version: 3.6.2+dfsg-1
Severity: grave
Justification: renders package unusable

On both Debian and Ubuntu, executing the simple autopkgtest command for
node-mapnik (nodejs -e "require('mapnik');") leads to an error resolving
symbols:

Debian:
-------
Error: /usr/lib/nodejs/mapnik/lib/binding/mapnik.node: undefined symbol: 
_ZN6mapnik15freetype_engine10face_namesEv
    at Error (native)
    at Object.Module._extensions..node (module.js:597:18)
    at Module.load (module.js:487:32)
    at tryModuleLoad (module.js:446:12)
    at Function.Module._load (module.js:438:3)
    at Module.require (module.js:497:17)
    at require (internal/module.js:20:19)
    at Object.<anonymous> (/usr/lib/nodejs/mapnik/lib/mapnik.js:31:15)
    at Module._compile (module.js:570:32)
    at Object.Module._extensions..js (module.js:579:10)

Ubuntu:
-------
Error: /usr/lib/nodejs/mapnik/lib/binding/mapnik.node: undefined symbol: 
_ZN6mapnik14save_to_stringINS_5imageINS_7rgba8_tEEEEESsRKT_RKSsRKNS_12rgba_paletteE
    at Error (native)
    at Object.Module._extensions..node (module.js:597:18)
    at Module.load (module.js:487:32)
    at tryModuleLoad (module.js:446:12)
    at Function.Module._load (module.js:438:3)
    at Module.require (module.js:497:17)
    at require (internal/module.js:20:19)
    at Object.<anonymous> (/usr/lib/nodejs/mapnik/lib/mapnik.js:31:15)
    at Module._compile (module.js:570:32)
    at Object.Module._extensions..js (module.js:579:10)

This pretty clearly makes the package entirely unusable (unless there's
some other way to use it correctly, and the autopkgtest is incorrect?)

... Adam

-- System Information:
Debian Release: buster/sid
  APT prefers bionic
  APT policy: (500, 'bionic')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.13.0-16-lowlatency (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), 
LANGUAGE=en_CA:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages node-mapnik depends on:
ii  libc6          2.26-0ubuntu2
ii  libgcc1        1:7.2.0-12ubuntu1
pn  libmapnik3.0   <none>
ii  libstdc++6     7.2.0-12ubuntu1
pn  mapnik-utils   <none>
pn  node-pre-gyp   <none>
pn  nodejs         <none>
pn  nodejs-abi-48  <none>
pn  nodejs-dev     <none>

Versions of packages node-mapnik recommends:
pn  node-carto    <none>
pn  node-srs      <none>
pn  node-zipfile  <none>

node-mapnik suggests no packages.

--- End Message ---
--- Begin Message ---
fixed 880072 node-mapnik/3.6.2+dfsg-2
thanks

On 10/29/2017 12:54 PM, Sebastiaan Couwenberg wrote:
> On 10/29/2017 11:03 AM, Adam Conrad wrote:
>> On both Debian and Ubuntu, executing the simple autopkgtest command for
>> node-mapnik (nodejs -e "require('mapnik');") leads to an error resolving
>> symbols:
> 
> This is a known issue. And not one I'm willing to spend time on, since
> there are no known users of the node-mapnik package.

The mapnik::freetype_engine issue seems to have been fixed with Mapnik
3.0.17 and the latest changes from the node-mapnik upstream git repository.

node-mapnik (3.6.2+dfsg-2) passes the CI tests again in Debian.

> The Mapnik ecosystem is quite fragile, with an upstream who relies on
> mason builds (often from development branches), making packaging quite a
> chore.
> 
> I think the node-mapnik package and its node-tilelive-* rdeps should be
> removed from Debian (and by extension Ubuntu), and we should give up on
> ever packaging kosmtik (#805308).

I still think that we should remove node-mapnik and its reverse
dependencies from Debian, but since I'm not the maintainer of the
package at least Jérémy will need to consent to it.

Kind Regards,

Bas

-- 
 GPG Key ID: 4096R/6750F10AE88D4AF1
Fingerprint: 8182 DE41 7056 408D 6146  50D1 6750 F10A E88D 4AF1

--- End Message ---
-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to